artdaq Utilities - Feature #20758

DAQInterface should save the per-run process ranks
09/06/2018 11:53 AM - John Freeman

Status: Resolved Start date: 09/06/2018
Priority: Normal Due date:

Assignee: John Freeman % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Experiment: - Co-Assignees:

Description

On protoDUNE, currently RC writes out a file which records the ranks it associates with the various types of artdaq process, and
DAQInterface contains logic to ensure that it uses those same ranks when it performs bookkeeping on FHiCL documents. However,
it doesn't currently save the ranks in any of the three major locations (the run records directory, the database, or the output *.root
file). This should be changed.

History

#1 - 09/06/2018 12:10 PM - John Freeman

- Assignee set to John Freeman

#2 - 09/10/2018 05:26 PM - John Freeman
- Status changed from New to Resolved

- % Done changed from 0 to 100

For protoDUNE, this feature is realized with release v3_00_06d, as of today deployed on the np04-srv-XXX cluster. When controlling DAQInterface
via RC (i.e., with DAQInterface's manage processes set to "false"), DAQInterface will save the ranks as assigned by RC. When controlling
DAQiInterface from the commandline (manage processes set to "true"), DAQInterface will save the ranks based on the assumption that the rank order
in the /tmp/pmtConfig.* file is 0, 1, 2...

On the develop branch, this feature is realized at the current HEAD, c9019944c4e12a2b3853f741593b5951b0481e3a. This differs from v3_00_06d in
that here if manage processes is set to "false", no action is taken.
